For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTSend User OTP
      • POSTVerify User OTP
      • GETGet User Limits
      • GETGet User Details
      • GETRefresh User Access Token
      • POSTLogout User
      • POSTOnboard User (Auth Reliance)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIUser

Send User OTP

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/auth/login
POST
/api/v2/auth/login
$curl -X POST https://api-gateway-stg.transak.com/api/v2/auth/login \
> -H "Content-Type: application/json" \
> -d '{
> "apiKey": "a1b2c3d4e5f67890abcdef1234567890",
> "email": "user@example.com"
>}'
1{
2 "data": {
3 "isTncAccepted": false,
4 "stateToken": "301fa4e02eb5b095b7f0173585ca628e",
5 "email": "user@example.com",
6 "expiresIn": 600
7 }
8}

The Send User OTP is a non-authenticated API method that allows you to initiate user authentication by sending an OTP to the provided email address.

Was this page helpful?
Previous

Get Quote

Next

Verify User OTP

Built with

Request

This endpoint expects an object.
apiKeystringRequired
Your API Key from Transak Dashboard
emailstringRequired
Your Email address used to receive OTP.

Response

200 - Confirm Payment Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error